com.ihr.xbrl.om.taxonomy

## Enum XBRLItem.BalanceType

- java.lang.Object
- - java.lang.Enum<XBRLItem.BalanceType>
  - - com.ihr.xbrl.om.taxonomy.XBRLItem.BalanceType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<XBRLItem.BalanceType>
  Enclosing class:
    XBRLItem

      public static enum XBRLItem.BalanceType
      extends java.lang.Enum<XBRLItem.BalanceType>

  Enumeration defining the possible content of the xbrli:balance attribute.
  Since:
    2.6.10
  Author:
    Ignacio

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREDIT` Concept is CREDIT type.
    `DEBIT` Concept is DEBIT type.
    `NO_BALANCE` No explicit indication about the Balance type in the concept definition.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XBRLItem.BalanceType` | `getBalance(java.lang.String balance)` Returns the int code of the balance in the string.
    `static java.lang.String` | `getBalance(XBRLItem.BalanceType balance)` Returns the String representation of the balance in the code.
    `static java.lang.String` | `getBalanceLocaliced(XBRLItem.BalanceType balance)` Returns the String representation of the balance in the code.
    `static XBRLItem.BalanceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static XBRLItem.BalanceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEBIT

          public static final XBRLItem.BalanceType DEBIT

      Concept is DEBIT type. Explicitly defined in the concept definition

    - #### CREDIT

          public static final XBRLItem.BalanceType CREDIT

      Concept is CREDIT type. Explicitly defined in the concept definition

    - #### NO_BALANCE

          public static final XBRLItem.BalanceType NO_BALANCE

      No explicit indication about the Balance type in the concept definition.

  - ### Method Detail

    - #### values

          public static XBRLItem.BalanceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XBRLItem.BalanceType c : XBRLItem.BalanceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XBRLItem.BalanceType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getBalance

          public static XBRLItem.BalanceType getBalance(java.lang.String balance)

      Returns the int code of the balance in the string.
      Parameters:
        `balance` - the balance
      Returns:
        int

    - #### getBalance

          public static java.lang.String getBalance(XBRLItem.BalanceType balance)

      Returns the String representation of the balance in the code. If the concept has no balance attribute then this function returns null
      Parameters:
        `balance` - the balance
      Returns:
        String

    - #### getBalanceLocaliced

          public static java.lang.String getBalanceLocaliced(XBRLItem.BalanceType balance)

      Returns the String representation of the balance in the code. If the concept has no balance attribute then this function returns null
      Parameters:
        `balance` - the balance
      Returns:
        String